Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class JifFormal_c

    java.lang.Object
      polyglot.ast.Node_c
          polyglot.ast.Term_c
              polyglot.ast.Formal_c
                  jif.ast.JifFormal_c

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.ast.Formal, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Term, polyglot.ast.VarDecl, polyglot.util.Copy

    public class JifFormal_c

extends polyglot.ast.Formal_c

Field Summary

Fields inherited from class polyglot.ast.Formal_c
`flags, li, name, type`

Fields inherited from class polyglot.ast.Term_c
`exceptions, reachable`

Fields inherited from class polyglot.ast.Node_c
`del, error, ext, position`

Fields inherited from interface polyglot.ast.Term
`ENTRY, EXIT`

Constructor Summary
`JifFormal_c(polyglot.util.Position pos, polyglot.types.Flags flags, polyglot.ast.TypeNode type, polyglot.ast.Id name)`

Method Summary
`boolean` | `isDisambiguated()`

Methods inherited from class polyglot.ast.Formal_c
`acceptCFG, addDecls, buildTypes, copy, declType, disambiguate, dump, firstChild, flags, flags, id, id, localInstance, localInstance, name, name, prettyPrint, reconstruct, toString, type, type, typeCheck, visitChildren`

Methods inherited from class polyglot.ast.Term_c
`exceptionCheck, exceptions, exceptions, listChild, reachable, reachable`

Methods inherited from class polyglot.ast.Node_c
`buildTypesEnter, checkConstants, childExpectedType, copy, copy, del, del, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, error, error, exceptionCheckEnter, ext, ext, ext, ext, init, isTypeChecked, node, position, position, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, translate, typeCheckEnter, typeCheckOverride, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.Term
`exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, error, error, ext, ext, ext, ext, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`buildTypesEnter, checkConstants, copy, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, throwTypes, translate, typeCheckEnter, typeCheckOverride`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### JifFormal_c

    public JifFormal_c(polyglot.util.Position pos,
                       polyglot.types.Flags flags,
                       polyglot.ast.TypeNode type,
                       polyglot.ast.Id name)

Method Detail

### isDisambiguated

    public boolean isDisambiguated()

  Specified by:
    `isDisambiguated` in interface `polyglot.ast.Node`
  Overrides:
    `isDisambiguated` in class `polyglot.ast.Formal_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD